Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface OutboundRouterCollection

All Superinterfaces:
  Disposable, Initialisable, MatchingRouter, MessageProcessor, MuleContextAware, RouterStatisticsRecorder

All Known Implementing Classes:
  DefaultOutboundRouterCollection

    public interface OutboundRouterCollection

extends MatchingRouter, RouterStatisticsRecorder, Initialisable, Disposable, MuleContextAware

`RouterCollection` defines the interface for a MessageRouter that manages more than one router. A `OutboundRouterCatchAllStrategy` can be set on this router to route unwanted or unfiltered events. If a catch strategy is not set, the router just returns null. `OutboundRouterCollection` is responsible for holding all outbound routers for a service service.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`OutboundRouterCatchAllStrategy` | `getCatchAllStrategy()`
`List<MatchableMessageProcessor>` | `getRoutes()`
`boolean` | `hasEndpoints()` Determines if any targets have been set on this router.
`boolean` | `isMatchAll()`
`void` | `setCatchAllStrategy(OutboundRouterCatchAllStrategy catchAllStrategy)`
`void` | `setMatchAll(boolean matchAll)`

Methods inherited from interface org.mule.api.routing.MatchingRouter
`addRoute, removeRoute`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.routing.RouterStatisticsRecorder
`setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Method Detail

### getRoutes

    List<MatchableMessageProcessor> getRoutes()

### getCatchAllStrategy

    OutboundRouterCatchAllStrategy getCatchAllStrategy()

### setCatchAllStrategy

    void setCatchAllStrategy(OutboundRouterCatchAllStrategy catchAllStrategy)

### isMatchAll

    boolean isMatchAll()

### setMatchAll

    void setMatchAll(boolean matchAll)

### hasEndpoints

    boolean hasEndpoints()

  Determines if any targets have been set on this router.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.